LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
use work.all;

entity testbench is
end testbench;

architecture bhv of testbench is

	component ROM52
	port(
                Clk     : in std_logic;
                A       : in std_logic_vector(12 downto 0);
                D       : out std_logic_vector(7 downto 0)
        );
	end component;

	signal clk: std_logic := '0';
	signal adr: std_logic_vector(12 downto 0) := (others => '0');
	signal data: std_logic_vector(7 downto 0);

begin
	uut: ROM52 port map(
		Clk => clk,
		A => adr,
		D => data
	);

	glocke: process
	begin
		clk <= not clk;
		wait for 20 ns;
	end process;

	tb: process
	begin
		wait for 60 ns;
		adr <= std_logic_vector( unsigned(adr) + 1);
	end process;
end bhv;

